Foxit PDF SDK

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
FSDK.DefaultAppearance Class Reference

## Public Member Functions
| constructor ()
| Constructor.
| constructor (flags, font, text_size, text_color)
| Constructor, with parameters. More...
| Set (flags, font, text_size, text_color)
| Set value. More...

## Public Attributes
| flags
| Flags to indicate which properties of default appearance are meaningful. More...
| font
| A font for default appearance. It should be a valid font object when it is useful. More...
| text_color
| Text color for default appearance. Format: 0xRRGGBB. More...
| text_size
| Text size for default appearance. More...

## Static Public Attributes
static | e_FlagFont
| Enumeration for default appearance flags. More...
static | e_FlagFontSize
| Indicates property text size of FSDK.DefaultAppearance is meaningful.
static | e_FlagTextColor
| Indicates property text color of FSDK.DefaultAppearance is meaningful.

## Detailed Description

This class represents default appearance data, which is used for free text annotation and form.

## Member Function Documentation

## ◆ constructor()

FSDK.DefaultAppearance.constructor | ( | flags | ,
|  | font | ,
|  | text_size | ,
|  | text_color |
| ) |  |

Constructor, with parameters.

Parameters

  [in] | flags | Flags to indicate which properties of default appearance are meaningful. Please refer to values starting from FSDK.DefaultAppearance.e_FlagFont and this can be one or a combination of these values.
  [in] | font | A valid font object for default appearance when parameter flags includes FSDK.DefaultAppearance.e_FlagFont.
  [in] | text_size | Font size for default appearance when parameter flags includes FSDK.DefaultAppearance.e_FlagFontSize. Usually it should be above 0. For some objects, the size 0 has special meaning. Please refer to the comment of functions which are used to set default appearance data to other object.
  [in] | text_color | Text color for default appearance. Format: 0xRRGGBB.

## ◆ Set()

FSDK.DefaultAppearance.Set | ( | flags | ,
|  | font | ,
|  | text_size | ,
|  | text_color |
| ) |  |

Set value.

Parameters

  [in] | flags | Flags to indicate which properties of default appearance are meaningful. Please refer to values starting from FSDK.DefaultAppearance.e_FlagFont and this can be one or a combination of these values.
  [in] | font | A font for default appearance. Please ensure this is a valid font object when parameter flags includes FSDK.DefaultAppearance.e_FlagFont.
  [in] | text_size | Font size for default appearance when parameter flags includes FSDK.DefaultAppearance.e_FlagFontSize. Usually it should be above 0. For some objects, the size 0 has special meaning. Please refer to the comment of functions which are used to set default appearance data to other object.
  [in] | text_color | Text color for default appearance. Format: 0xRRGGBB.

Returns
  None.

## Member Data Documentation

## ◆ e_FlagFont

FSDK.DefaultAppearance.e_FlagFont
| static

Enumeration for default appearance flags.

Values of this enumeration can be used alone or in combination.

Indicates property font of FSDK.DefaultAppearance is meaningful.

## ◆ flags

FSDK.DefaultAppearance.flags

Flags to indicate which properties of default appearance are meaningful.

Please refer to values starting from FSDK.DefaultAppearance.e_FlagFont and this can be one or a combination of these values. 0 means no property of default appearance is meaningful.

## ◆ font

FSDK.DefaultAppearance.font

A font for default appearance. It should be a valid font object when it is useful.

Note
  Useful only when flags of current object includes FSDK.DefaultAppearance.e_FlagFont.

## ◆ text_color

FSDK.DefaultAppearance.text_color

Text color for default appearance. Format: 0xRRGGBB.

Note
  Useful only when flags of current object includes FSDK.DefaultAppearance.e_FlagTextColor.

## ◆ text_size

FSDK.DefaultAppearance.text_size

Text size for default appearance.

Usually it should be above 0 when it is useful. For some objects, the size 0 has special meaning. Please refer to the comment of functions which are used to set default appearance data to other object.

Note
  Useful only when flags of current object includes FSDK.DefaultAppearance.e_FlagFontSize.